<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:20 CEST 2016 -->
<title>R-Index</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-17.html">Prev Letter</a></li>
<li><a href="index-19.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-18.html" target="_top">Frames</a></li>
<li><a href="index-18.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="../aasbo/frames/FrameReader.html#read--">read()</a></span> - Method in class aasbo.frames.<a href="../aasbo/frames/FrameReader.html" title="class in aasbo.frames">FrameReader</a></dt>
<dd>
<div class="block">Lytter etter meldinger fra klienten, støtter enkeltmedlinger på opptil 64kb, støtter også de aller fleste kontrollrammer samt continuation 
 Støtter ikke binærdata.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONTokener.html#reader">reader</a></span> - Variable in class aasbo.json.<a href="../aasbo/json/JSONTokener.html" title="class in aasbo.json">JSONTokener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocketClient.html#reader">reader</a></span> - Variable in class aasbo.socket.<a href="../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/frames/FrameReader.html#recursiveCall-java.lang.String-">recursiveCall(String)</a></span> - Method in class aasbo.frames.<a href="../aasbo/frames/FrameReader.html" title="class in aasbo.frames">FrameReader</a></dt>
<dd>
<div class="block">Hjelpemetode for konkatenering i tilfelle continuation ramme.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONArray.html#remove-int-">remove(int)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONArray.html" title="class in aasbo.json">JSONArray</a></dt>
<dd>
<div class="block">Remove an index and close the hole.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.html#remove-java.lang.String-">remove(String)</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONObject.html" title="class in aasbo.json">JSONObject</a></dt>
<dd>
<div class="block">Remove a name and its value, if present.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#rowToJSONArray-aasbo.json.JSONTokener-">rowToJSONArray(JSONTokener)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>
<div class="block">Produce a JSONArray of strings from a row of comma delimited values.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#rowToJSONObject-aasbo.json.JSONArray-aasbo.json.JSONTokener-">rowToJSONObject(JSONArray, JSONTokener)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>
<div class="block">Produce a JSONObject from a row of comma delimited text, using a
 parallel JSONArray of strings to provides the names of the elements.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#rowToString-aasbo.json.JSONArray-">rowToString(JSONArray)</a></span> - Static method in class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>
<div class="block">Produce a comma delimited text row from a JSONArray.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocketClient.html#run--">run()</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></dt>
<dd>
<div class="block">Tråd for lytting av innkommende meldinger/data fra denne klienten</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-17.html">Prev Letter</a></li>
<li><a href="index-19.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-18.html" target="_top">Frames</a></li>
<li><a href="index-18.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
